Summary: Squid statistic tool
Name: prostat
%define version 1.3.2
Version: %{version}
Release: 2
Group: Applications/System
License: GPL
URL: http://www.serveurs-nationaux.jussieu.fr/cache/prostat/

Source: http://www.serveurs-nationaux.jussieu.fr/cache/prostat/prostat_1_32.tar.gz
Patch0: prostat-1.3.2-megaloman.patch
Patch1: prostat-1.3.2-png.patch
BuildRoot: %{_tmppath}/prostat-root
BuildRequires: gd-devel >= 1.6.3

%description
Prostat is a squid statistic tool.

%prep
%setup -n prostat_1.32
%patch0 -p1
%patch1 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS" LIBS="-lm -lgd -lpng -lttf -ljpeg" \
	BINDIR="%{_bindir}" \
	LOCALDIR="%{_sysconfdir}/%{name}"

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT \
	BINDIR="%{_bindir}" \
	LOCALDIR="%{_sysconfdir}/%{name}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LISEZ_MOI CHANGE
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/domains.tab
%{_sysconfdir}/%{name}/mime.types
%config(noreplace) %{_sysconfdir}/%{name}/prostat.conf
%{_bindir}/prostat

%changelog
* Thu Mar 27 2003 Peter Hanecak <hanecak@megaloman.sk> 1.3.2-2
- s#Copyright GNU#License GPL
- s#Group Utilities#Group Applications/System
- just to be sure and precise: BuildRequires gd-devel >= 1.6.3

* Thu Jul 26 2001 Peter Hanecak <hanecak@megaloman.sk>
- updated to 1.32
- updated URL
- %%{_sysconfdir} and %%{_bindir} used
- updated patches (megaloman. png)

* Thu Jul 26 2001 Peter Hanecak <hanecak@megaloman.sk>
- %%{_tmppath} used

* Thu Mar 16 2000 Peter Hanecak <hanecak@megaloman.sk>
- rebuild against gd-1.8.1

* Mon Mar 13 2000 Peter Hanecak <hanecak@megaloman.sk>
- rebuild against gd-1.7.3

* Mon Sep 13 1999 Peter Hanecak <hanecak@megaloman.sk>
- rebuild against gd-1.6.3 (now PNG images are used)
- added URL
- %config(noreplace) /usr/local/prostat/prostat.conf

* Tue Mar  2 1999 Peter Hanecak <hanecak@megaloman.sk>
- fixed error in specification of prostat.conf location in analhead.h

* Tue Mar  2 1999 Peter Hanecak <hanecak@megaloman.sk>
- initial spec
- included gd library is not used
